import { Base, Nullable$1, Type } from "igniteui-angular-core";
import { XmlPartManagerBase } from "./XmlPartManagerBase";
/**
 * @hidden
 */
export declare class CT_AlphaOutsetEffect extends Base {
    static $t: Type;
    private c;
    constructor();
    b: Nullable$1<number>;
    static e(a: XmlPartManagerBase, b: Nullable$1<number>): {
        p1: Nullable$1<number>;
    };
    static f(a: XmlPartManagerBase, b: string, c?: Nullable$1<number>): void;
    toString(): string;
}
